EBS: System Requirements for Everbridge Suite, Everbridge Mobile Apps, and Visual Command Center

lock-solid.svg

User-added image
This article provides the browsers and browser versions that work well with Everbridge Suite, Everbridge Mobile Apps and Visual Command Center. All major features and functionality work without any disruptions to the user unless otherwise noted in this article. Everbridge develops our applications to function in browsers that support open standards and modern technologies.

When online, rather than scrolling through the document, to proceed directly to a major section, click the desired link below:

Recommended Browsers
Visual Command Center (VCC) and Peroptics
Everbridge Desktop Alerts Publishing Option
Everbridge Policy for Mobile OS Support
Important Browser Information
Revision History

 

Recommended Browsers

  • The following browsers and computer system requirements are the ones used by Everbridge to test the functionality of the applications.
    • *.everbridge.net
    • *.everbridge.eu
  • Everbridge does not test with any browser version that is currently not supported by the respective vendor.
  • Everbridge recommends using the most recent versions of the browsers listed below. If you are using a recommended browser and a feature does not work as expected, determine if your browser is current or needs upgrading, or try using a different browser (in its latest version).
Browsers Computer Mobile Known Issues

Google Chrome (Recommended)

PC, Mac 

Android, iOS
Browser compatibility pertains only to the browsing required for mobile app functionality.

Secure Collaboration Web Client: Use of the video calling feature requires Agora for Chrome

Mozilla Firefox

PC, Mac

Android
Browser compatibility pertains only to the browsing required for mobile app functionality.

 

Microsoft Edge

PC, Mac

 

 

Apple Safari

Mac OS X

iOS
Browser compatibility pertains only to the browsing required for mobile app functionality.

In the Manager Portal > Settings > Everbridge Mobile App > Safety MANAGE SAFETY BUTTONS > {name of button} > Configure numbers of other countries, there is an issue with the radio button

Visual Command Center (VCC): Not Supported

Samsung Internet Browser   Android
Browser compatibility pertains only to the browsing required for mobile app functionality.
 
 

Visual Command Center (VCC) and Peroptics

A high-speed internet connection is required for VCC and Peroptics. In addition, Peroptics requires WebGL.

WebGL:

The Peroptics Channel provides a rotating, continually updated display of current alerts, and is optimized for display on the large screens often used in command centers. Peroptics uses the software WebGL (Web Graphics Library) to provide 3D map capabilities in the browser. WebGL is a web standard, but its implementation depends on the individual browser. Note that you should not attempt to display Peroptics through a Remote Desktop Connection.

    Verifying that your browser supports WebGL

    Chrome:

    Navigate to 'chrome://gpu' and search for the following settings under Graphics Feature Status:

    • WebGL: Hardware Accelerated
    • WebGL2: Hardware Accelerated
    • Canvas: Hardware Accelerated
    • Rasterization: Hardware Accelerated

    Firefox:

    Navigate to 'about:support' and check for the following settings in Graphics:

    • WebGL Renderer: Does not say 'Blocked for your graphics driver version'
    • WebGL2 Renderer: Does not say 'Blocked for your graphics driver version'
    • AzureCanvasAccelerated: Does not show '0'

    If WebGL is blocked or unsupported:

    Occasionally your IT team may enable or disable certain drivers in such a way that WebGL no longer runs. In other cases, updating to the latest drivers for your graphics adapter may resolve this problem.

    *Touch navigation support varies by tablet/browser. Not all tablets/browsers are supported. 

    Everbridge Desktop Alerts Publishing Option

    System requirements for the Everbridge Desktop Alerts Publishing Option can be found here:
     

    https://support.snapcomms.com/s/article/data-sheet-a-minimum-requirements
    https://support.snapcomms.com/s/article/SnapComms-Desktop-Application-and-Network-Safe-Listing-Requirements

     

    Everbridge Policy for Mobile OS Support

    The Everbridge mobile apps support the most recent major mobile operating systems (OS) releases. If you are experiencing issues with your mobile app, it is recommended to update your mobile OS version to the latest version. Everbridge apps may have limited support or not function as expected on older versions. To maintain privacy and security on your device, it is a best practice to install all security updates as they become available.

    Device Requirements

    For Apple iOS:

    • Everbridge supports the most current major version, plus the last two major released versions.
    • For example, if iOS 15 is the current major version, then iOS versions 15, 14, and 13 are supported.
    • Refer to Apple for the current version of your iOS device.

    For Apple Watch:

    • Support for Apple Watch requires Series 2 or higher.

    For Android:

    • Everbridge supports the most current major version, plus the last three major released versions.
    • For example, if Android 12 is the current major version, then Android versions 12, 11, 10, and 9 are supported.
    • Refer to Android for the current version of your Android device.

    Mobile OS End of Life Policy

    • Everbridge provides this standard End of Life policy for the support of mobile OS versions for transparency and awareness so you can plan accordingly.
    • Each time a new iOS or Android version is released for general availability, Everbridge will support the new version and will stop supporting the third oldest major version on iOS or the fourth oldest version on Android.

    Everbridge Mobile Apps Availability

    Everbridge mobile apps may not be available in all countries. For information on country support, visit refer to Knowledge Base Article 000033682 - Mobile: In What Countries Is the Everbridge Mobile App (EMA) Available?
     

    Important Browser Information

    For All Browsers

    • Everbridge recommends customers conduct thorough internal testing of browser functionality before applying any updates to workstations that access the CEM Suite.

    • Contact Everbridge Technical Support to report any application feature not functioning with any of the browsers listed under the Recommended Browsers section of this article.

    • Support for Adobe Flash Player from Microsoft ended 2020-December-31, and is additionally no longer supported by browser vendors. Adobe Flash has been replaced by HTML5 throughout the CEM Suite.

    • For the best user experience, Everbridge recommends a minimum screen resolution of 1024 x 768.

    • Enable JavaScript and Cookies.

    • For browsers on Mobile devices (Chrome, Safari, and so forth), sending a notification with a separate message for email notification is not supported.

    • Access to the Everbridge Manager Portal via your mobile device browser is not supported. Instead, use the ManageBridge app

    For All Devices

    • Only the browsers listed in this article are recommended.

    • Multi-tab/multi-window functionality is not supported.

    Revision History

    Date Notes / Comments / Changes
    June 26, 2023 Updated.
    January 24, 2023 Updated. 
    October 17, 2022 Updated.
    September 29, 2022 Updated.
    August 30, 2022 Created.
    Was this article helpful?
    0 out of 0 found this helpful

    Comments

    0 comments

    Article is closed for comments.